Bug 196545 - Remove IDB-specific quota
Summary: Remove IDB-specific quota
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-03 09:57 PDT by youenn fablet
Modified: 2019-08-16 23:34 PDT (History)
13 users (show)

See Also:


Attachments
Patch (23.42 KB, patch)
2019-04-03 10:02 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (42.92 KB, patch)
2019-04-03 10:20 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (155.41 KB, patch)
2019-04-03 15:11 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (45.50 KB, patch)
2019-04-03 16:19 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (46.62 KB, patch)
2019-04-05 14:56 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (46.21 KB, patch)
2019-08-07 10:33 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Rebasing (46.35 KB, patch)
2019-08-12 01:16 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (49.15 KB, patch)
2019-08-16 17:04 PDT, Sihui Liu
sihui_liu: review?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-04-03 09:57:50 PDT
IDB quota is replaced by storage-generic quota.
Comment 1 youenn fablet 2019-04-03 10:02:22 PDT
Created attachment 366619 [details]
Patch
Comment 2 youenn fablet 2019-04-03 10:20:57 PDT
Created attachment 366621 [details]
Patch
Comment 3 youenn fablet 2019-04-03 15:11:31 PDT
Created attachment 366650 [details]
Patch
Comment 4 youenn fablet 2019-04-03 16:19:15 PDT
Created attachment 366665 [details]
Patch
Comment 5 Alex Christensen 2019-04-05 09:29:21 PDT
Comment on attachment 366665 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=366665&action=review

> Source/WebCore/ChangeLog:8
> +        No change of behavior as IDB specific quota is no longer used.

State what is used instead.  We're not just allowing unlimited IDB storage, right?

> Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.cpp:-1045
> -            if (m_sqliteDB->lastError() == SQLITE_FULL)
> -                return IDBError { QuotaExceededError, "Could not seed initial key generator value for object store because no enough space for domain"_s };

Aren't these still necessary?
Comment 6 youenn fablet 2019-04-05 14:41:02 PDT
(In reply to Alex Christensen from comment #5)
> Comment on attachment 366665 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=366665&action=review
> 
> > Source/WebCore/ChangeLog:8
> > +        No change of behavior as IDB specific quota is no longer used.
> 
> State what is used instead.  We're not just allowing unlimited IDB storage,
> right?

We are defining a global quota limit. Currently this includes IDB and Cache API but should include more in the future.

> > Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.cpp:-1045
> > -            if (m_sqliteDB->lastError() == SQLITE_FULL)
> > -                return IDBError { QuotaExceededError, "Could not seed initial key generator value for object store because no enough space for domain"_s };
> 
> Aren't these still necessary?

No, these checks are per database/per thread.
Comment 7 youenn fablet 2019-04-05 14:41:20 PDT
Need to fix windows compilation issue
Comment 8 youenn fablet 2019-04-05 14:56:32 PDT
Created attachment 366847 [details]
Patch
Comment 9 WebKit Commit Bot 2019-04-09 13:11:39 PDT
Comment on attachment 366847 [details]
Patch

Rejecting attachment 366847 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 366847, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=366847&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=196545&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 366847 from bug 196545.
Fetching: https://bugs.webkit.org/attachment.cgi?id=366847
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Alex Christensen']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 40 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/mac/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/win/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/Modules/indexeddb/server/IDBBackingStore.h
patching file Source/WebCore/Modules/indexeddb/server/IDBServer.cpp
Hunk #1 succeeded at 134 (offset -4 lines).
Hunk #2 FAILED at 690.
1 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/Modules/indexeddb/server/IDBServer.cpp.rej
patching file Source/WebCore/Modules/indexeddb/server/IDBServer.h
Hunk #1 FAILED at 112.
Hunk #2 FAILED at 192.
2 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/Modules/indexeddb/server/IDBServer.h.rej
patching file Source/WebCore/Modules/indexeddb/server/MemoryIDBBackingStore.h
patching file Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.cpp
Hunk #1 succeeded at 230 (offset -1 lines).
Hunk #2 succeeded at 873 (offset -1 lines).
Hunk #3 succeeded at 890 (offset -1 lines).
Hunk #4 succeeded at 898 (offset -1 lines).
Hunk #5 succeeded at 914 (offset -1 lines).
Hunk #6 succeeded at 998 (offset -1 lines).
Hunk #7 succeeded at 1008 (offset -1 lines).
Hunk #8 succeeded at 1133 (offset -1 lines).
Hunk #9 succeeded at 1216 (offset -1 lines).
Hunk #10 succeeded at 1364 (offset -1 lines).
Hunk #11 succeeded at 1453 (offset -1 lines).
Hunk #12 succeeded at 1792 (offset -3 lines).
Hunk #13 succeeded at 1824 (offset -3 lines).
Hunk #14 succeeded at 1857 (offset -3 lines).
Hunk #15 succeeded at 2393 (offset -17 lines).
patching file Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.h
patching file Source/WebCore/Modules/indexeddb/server/UniqueIDBDatabase.cpp
Hunk #1 FAILED at 2267.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/Modules/indexeddb/server/UniqueIDBDatabase.cpp.rej
patching file Source/WebCore/Modules/indexeddb/server/UniqueIDBDatabase.h
Hunk #1 succeeded at 125 with fuzz 2.
patching file Source/WebCore/storage/StorageQuotaManager.h
patching file Source/WebKit/NetworkProcess/NetworkProcess.cpp
Hunk #1 succeeded at 2118 (offset -3 lines).
Hunk #2 succeeded at 2123 with fuzz 2 (offset -7 lines).
Hunk #3 succeeded at 2218 (offset -7 lines).
patching file Source/WebKit/NetworkProcess/NetworkProcess.h
Hunk #1 succeeded at 277 (offset -1 lines).
Hunk #2 succeeded at 512 (offset -1 lines).
patching file Source/WebKit/NetworkProcess/NetworkProcess.messages.in
patching file Source/WebKit/UIProcess/API/C/WKContext.cpp
patching file Source/WebKit/UIProcess/API/C/WKContextPrivate.h
patching file Source/WebKit/UIProcess/WebProcessPool.cpp
Hunk #1 succeeded at 1763 (offset -6 lines).
patching file Source/WebKit/UIProcess/WebProcessPool.h
Hunk #1 succeeded at 300 (offset -2 lines).
patching file Source/WebKitLegacy/Storage/WebDatabaseProvider.cpp
patching file Source/WebKitLegacy/Storage/WebDatabaseProvider.h
patching file Source/WebKitLegacy/mac/Storage/WebDatabaseManager.mm
patching file Source/WebKitLegacy/mac/Storage/WebDatabaseManagerPrivate.h
patching file Source/WebKitLegacy/win/Interfaces/IWebDatabaseManager.idl
patching file Source/WebKitLegacy/win/WebDatabaseManager.cpp
patching file Source/WebKitLegacy/win/WebDatabaseManager.h
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/DumpRenderTree/TestRunner.cpp
patching file Tools/DumpRenderTree/TestRunner.h
patching file Tools/DumpRenderTree/mac/DumpRenderTree.mm
Hunk #1 succeeded at 2027 (offset 1 line).
patching file Tools/DumpRenderTree/mac/TestRunnerMac.mm
patching file Tools/DumpRenderTree/win/TestRunnerWin.cpp
patching file Tools/WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl
patching file Tools/WebKitTestRunner/InjectedBundle/TestRunner.cpp
patching file Tools/WebKitTestRunner/InjectedBundle/TestRunner.h
patching file Tools/WebKitTestRunner/TestController.cpp
Hunk #1 succeeded at 915 (offset 8 lines).
Hunk #2 succeeded at 2999 (offset 8 lines).
patching file Tools/WebKitTestRunner/TestController.h
patching file Tools/WebKitTestRunner/TestInvocation.cpp

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Alex Christensen']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/11821236
Comment 10 Alexey Proskuryakov 2019-07-10 09:27:14 PDT
This patch has not been landed yet, has it?
Comment 11 youenn fablet 2019-07-10 09:44:14 PDT
(In reply to Alexey Proskuryakov from comment #10)
> This patch has not been landed yet, has it?

Nope. This patch is just removing some no longer needed code since we are checking quota in a different way now.
Comment 12 youenn fablet 2019-08-07 10:33:03 PDT
Created attachment 375711 [details]
Patch for landing
Comment 13 WebKit Commit Bot 2019-08-07 11:21:37 PDT
Comment on attachment 375711 [details]
Patch for landing

Rejecting attachment 375711 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 375711, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
atching file Tools/DumpRenderTree/mac/DumpRenderTree.mm
patching file Tools/DumpRenderTree/mac/TestRunnerMac.mm
patching file Tools/DumpRenderTree/win/TestRunnerWin.cpp
patching file Tools/WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl
patching file Tools/WebKitTestRunner/InjectedBundle/TestRunner.cpp
patching file Tools/WebKitTestRunner/InjectedBundle/TestRunner.h
patching file Tools/WebKitTestRunner/TestController.cpp
patching file Tools/WebKitTestRunner/TestController.h
patching file Tools/WebKitTestRunner/TestInvocation.cpp

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 39 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/ChangeLog
patching file Source/WebKitLegacy/mac/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/win/ChangeLog
patching file Source/WebCore/Modules/indexeddb/server/IDBBackingStore.h
patching file Source/WebCore/Modules/indexeddb/server/IDBServer.cpp
Hunk #1 FAILED at 135.
1 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/Modules/indexeddb/server/IDBServer.cpp.rej
patching file Source/WebCore/Modules/indexeddb/server/IDBServer.h
patching file Source/WebCore/Modules/indexeddb/server/MemoryIDBBackingStore.h
patching file Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.cpp
Hunk #1 FAILED at 228.
Hunk #2 succeeded at 872 (offset 1 line).
Hunk #3 succeeded at 889 (offset 1 line).
Hunk #4 succeeded at 897 (offset 1 line).
Hunk #5 succeeded at 913 (offset 1 line).
Hunk #6 succeeded at 996 (offset 1 line).
Hunk #7 succeeded at 1006 (offset 1 line).
Hunk #8 succeeded at 1129 (offset 1 line).
Hunk #9 succeeded at 1210 (offset 1 line).
Hunk #10 succeeded at 1358 (offset 1 line).
Hunk #11 succeeded at 1443 (offset 1 line).
Hunk #12 succeeded at 1780 (offset 1 line).
Hunk #13 succeeded at 1812 (offset 1 line).
Hunk #14 succeeded at 1845 (offset 1 line).
1 out of 15 hunks FAILED -- saving rejects to file Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.cpp.rej
patching file Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.h
Hunk #1 FAILED at 48.
Hunk #3 succeeded at 108 (offset 3 lines).
Hunk #4 succeeded at 207 (offset 4 lines).
1 out of 4 hunks FAILED -- saving rejects to file Source/WebCore/Modules/indexeddb/server/SQLiteIDBBackingStore.h.rej
patching file Source/WebCore/Modules/indexeddb/server/UniqueIDBDatabase.cpp
patching file Source/WebCore/Modules/indexeddb/server/UniqueIDBDatabase.h
patching file Source/WebKit/NetworkProcess/NetworkProcess.cpp
patching file Source/WebKit/NetworkProcess/NetworkProcess.h
patching file Source/WebKit/NetworkProcess/NetworkProcess.messages.in
patching file Source/WebKit/UIProcess/API/C/WKContext.cpp
patching file Source/WebKit/UIProcess/API/C/WKContextPrivate.h
patching file Source/WebKit/UIProcess/WebProcessPool.cpp
patching file Source/WebKit/UIProcess/WebProcessPool.h
patching file Source/WebKitLegacy/Storage/WebDatabaseProvider.cpp
patching file Source/WebKitLegacy/Storage/WebDatabaseProvider.h
patching file Source/WebKitLegacy/mac/Storage/WebDatabaseManager.mm
patching file Source/WebKitLegacy/mac/Storage/WebDatabaseManagerPrivate.h
patching file Source/WebKitLegacy/win/Interfaces/IWebDatabaseManager.idl
patching file Source/WebKitLegacy/win/WebDatabaseManager.cpp
patching file Source/WebKitLegacy/win/WebDatabaseManager.h
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/DumpRenderTree/TestRunner.cpp
patching file Tools/DumpRenderTree/TestRunner.h
patching file Tools/DumpRenderTree/mac/DumpRenderTree.mm
patching file Tools/DumpRenderTree/mac/TestRunnerMac.mm
patching file Tools/DumpRenderTree/win/TestRunnerWin.cpp
patching file Tools/WebKitTestRunner/InjectedBundle/Bindings/TestRunner.idl
patching file Tools/WebKitTestRunner/InjectedBundle/TestRunner.cpp
patching file Tools/WebKitTestRunner/InjectedBundle/TestRunner.h
patching file Tools/WebKitTestRunner/TestController.cpp
patching file Tools/WebKitTestRunner/TestController.h
patching file Tools/WebKitTestRunner/TestInvocation.cpp

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
From https://git.webkit.org/git/WebKit
   f77acd0e8b0..779da35e28e  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 248376 = f77acd0e8b0ba4fea9f0663394e6bd072d12f159
r248377 = 9e6c4c992e37832d4bdd09fd83d16451e7b11b32
r248378 = 779da35e28e45f9964fff9bc7b8611644c36bda2
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: https://webkit-queues.webkit.org/results/12874388
Comment 14 youenn fablet 2019-08-12 01:16:54 PDT
Created attachment 376052 [details]
Rebasing
Comment 15 WebKit Commit Bot 2019-08-12 03:07:36 PDT
Comment on attachment 376052 [details]
Rebasing

Clearing flags on attachment: 376052

Committed r248526: <https://trac.webkit.org/changeset/248526>
Comment 16 WebKit Commit Bot 2019-08-12 03:07:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 17 Radar WebKit Bug Importer 2019-08-12 03:08:24 PDT
<rdar://problem/54201783>
Comment 18 Ryan Haddad 2019-08-14 17:30:58 PDT
Reverted r248526 for reason:

Caused two IndexedDB perf tests to fail

Committed r248699: <https://trac.webkit.org/changeset/248699>
Comment 19 Ryan Haddad 2019-08-14 17:31:38 PDT
(In reply to Ryan Haddad from comment #18)
> Reverted r248526 for reason:
> 
> Caused two IndexedDB perf tests to fail
> 
> Committed r248699: <https://trac.webkit.org/changeset/248699>
Details in https://bugs.webkit.org/show_bug.cgi?id=200697
Comment 20 Sihui Liu 2019-08-16 17:04:29 PDT
Created attachment 376569 [details]
Patch
Comment 21 Alex Christensen 2019-08-16 17:43:55 PDT
Comment on attachment 376569 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=376569&action=review

> Source/WebCore/ChangeLog:9
> +        Re-land r248526 with fix for performance tests.

What was the fix?
Comment 22 Sihui Liu 2019-08-16 23:34:45 PDT
(In reply to Alex Christensen from comment #21)
> Comment on attachment 376569 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=376569&action=review
> 
> > Source/WebCore/ChangeLog:9
> > +        Re-land r248526 with fix for performance tests.
> 
> What was the fix?

Removing the setIDBPerOriginQuota.